Skip to content
// FLEET
us-west-1GB300 · liquid
eu-central-1B300 · liquid
apac-sg-1GB200 · NVL72
me-uae-1VR200 · Rubin
// API REFERENCE

Sites API

Generated from the OpenAPI 3.1 spec. Authenticate with a bearer sk_segal_… key.

GET/api/v1/sitesList sites

Responses

  • 200 Sites.
  • 401

Example

bash
curl -X GET https://api.segalcompute.com/api/v1/sites \
  -H "Authorization: Bearer sk_segal_..."
Try itSandbox · mock data
POST/api/v1/sitesCreate a site

Body

ParamTypeRequiredDescription
namestringyes
repostringyes
frameworkstringno

Responses

  • 201 The created site.
  • 401

Example

bash
curl -X POST https://api.segalcompute.com/api/v1/sites \
  -H "Authorization: Bearer sk_segal_..." \
  -H "Content-Type: application/json" \
  -d '{"name":"string","repo":"string","framework":"string"}'
Try itSandbox · mock data